plugins['callforwardfpbx'] = (function() {

    // Private variables

    var menuOption = {
        "setCallForward": { name: 'Set Call Forward', icon: 'setcf' },
    }

    return { 

        loadLang: function(values) {
            var hash = hex_md5(secret+lastkey);
            queuedcommand = "<msg data=\"" + myposition + "|pluginlang|" + language + "~callforwardfpbx" + "|" + hash + "\" />";
            sendcommand();
        },

        setLang: function() {
            debug('call forward setlang');
            // change language strings
            menuOption['setCallForward']['name'] = lang.setcallforward;
        },

        setExtensionMenu: function(items) {
            // called from build extension menu as callback
            jQuery.extend(items,menuOption);
            return items;
        },

        setCallForward: function(target,source) {

            debug('set call forward');
            var thisexten = botonitos[source]['EXTENSION'];
            var currentvalue = $('#extrainfo'+source).attr('oldtitle');
            alertify.prompt(lang.entercallforward+' '+thisexten, function (e, str) {
                // str is the input text
                if (e) {
                    var hash = hex_md5(secret+lastkey);
                    var strencoded = Base64.encode(str);
                    queuedcommand = "<msg data=\""+source+"|setastdb|CF~"+thisexten+"~"+strencoded+"|"+hash+"\" />";
                    sendcommand();
                } else {
                    // user clicked "cancel"
                }
            },currentvalue);
        },
        init: function() {
            // initialization function
            debug('call forward init');
        }
    }
}());
